%define upstream_name    MooseX-Getopt
%define upstream_version 0.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Optional meta attribute trait for ignoring params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Any::YAML)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long) >= 2.370.0
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.81.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Meta::Attribute)
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Role) >= 0.560.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Path::Tiny) >= 0.9.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Test::Warn) >= 0.210.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Getopt::Long::Descriptive)
%description
This is a role which provides an alternate constructor for creating objects
using parameters passed in from the command line.

This module attempts to DWIM as much as possible with the command line
params by introspecting your class's attributes. It will use the name of
your attribute as the command line option, and if there is a type
constraint defined, it will configure Getopt::Long to handle the option
accordingly.

You can use the trait the MooseX::Getopt::Meta::Attribute::Trait manpage or
the attribute metaclass the MooseX::Getopt::Meta::Attribute manpage to get
non-default commandline option names and aliases.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.580.0-2.mga4
+ Revision: 534760
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.580.0-1.mga4
+ Revision: 478721
- update to 0.58

* Sun Sep 08 2013 sander85 <sander85> 0.570.0-1.mga4
+ Revision: 476367
- update to 0.57

* Mon Jun 10 2013 jquelin <jquelin> 0.560.0-1.mga4
+ Revision: 441694
- update to 0.56

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 370183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 342394
- update to 0.50

* Fri Aug 31 2012 kharec <kharec> 0.470.0-1.mga3
+ Revision: 286322
- update to 0.47

* Tue Jun 05 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 255171
- update to 0.45

* Thu Feb 23 2012 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 213062
- update to 0.39

* Thu Jan 05 2012 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 191223
- update to 0.38

* Mon Apr 04 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 80383
- update to 0.37

* Wed Feb 16 2011 jquelin <jquelin> 0.350.0-1.mga1
+ Revision: 52595
- update to 0.35

* Sun Jan 23 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 33966
- mageia rebuild
- imported package perl-MooseX-Getopt


* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-1mdv2011.0
+ Revision: 573856
- adding missing buildrequires:
- update to 0.33

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2011.0
+ Revision: 552416
- update to 0.31

* Tue Mar 02 2010 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.1
+ Revision: 513476
- update to 0.27

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.260.0-1mdv2010.1
+ Revision: 477621
- update to 0.26

* Sun Nov 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.250.0-1mdv2010.1
+ Revision: 471065
- update to 0.25

* Tue Nov 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-2mdv2010.1
+ Revision: 466990
- adding requires: not found by rpm

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2010.1
+ Revision: 461764
- update to 0.24
- update to 0.06
- update to 0.06

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 432324
- update to 0.22

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 421836
- update to 0.21

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 394972
- update to 0.20

* Thu Jul 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2010.0
+ Revision: 393832
- adding missing buildrequires:
- using %%perl_convert_version
- fixed license field

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.19

* Sat May 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2010.0
+ Revision: 370495
- update to new version 0.18

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2009.1
+ Revision: 352914
- update to new version 0.16

* Wed Dec 03 2008 Jérôme Quelin <jquelin@mandriva.org> 0.15-1mdv2009.1
+ Revision: 309768
- import perl-MooseX-Getopt


* Wed Dec 03 2008 cpan2dist 0.15-1mdv
- initial mdv release, generated with cpan2dist

